modal-cadastro-edicao-endereco {
  display: block;
  width: 100%;
}

modal-cadastro-edicao-endereco .modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
  color: var(--cor-texto-escuro);
}

modal-cadastro-edicao-endereco .modal-container {
  background: white;
  border-radius: 8px;
  border-top: 15px solid var(--cor-modal-adicionar);
  width: 95%;
  max-width: 500px;
  max-height: 85vh;
  overflow-y: auto;
  padding: 20px;
}

modal-cadastro-edicao-endereco .modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  border-bottom: 1px solid #eee;
  padding-bottom: 10px;
}

modal-cadastro-edicao-endereco .modal-header h2 {
  margin: 0;
  font-size: 1.25rem;
  display: flex;
  align-items: center;
  gap: 10px;
}

modal-cadastro-edicao-endereco .modal-header i {
  -webkit-text-stroke: 1px var(--cor-texto-escuro);
  font-size: 25px;
}

modal-cadastro-edicao-endereco .btn-fechar {
  background: none;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
  padding: 0;
}

modal-cadastro-edicao-endereco .form-group {
  margin-bottom: 15px;
}

modal-cadastro-edicao-endereco .form-row {
  display: flex;
  gap: 15px;
}

modal-cadastro-edicao-endereco .cidade {
  flex: 2;
}

modal-cadastro-edicao-endereco .uf {
  flex: 1;
}

modal-cadastro-edicao-endereco .numero {
  flex: 1;
}

modal-cadastro-edicao-endereco .complemento {
  flex: 2;
}

modal-cadastro-edicao-endereco label {
  display: block;
  margin-bottom: 5px;
  font-weight: 500;
}

modal-cadastro-edicao-endereco input,
modal-cadastro-edicao-endereco select {
  width: 100%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 14px;
}

modal-cadastro-edicao-endereco ::-webkit-scrollbar-track {
  background: transparent;
}

modal-cadastro-edicao-endereco select {
  -moz-padding-start: calc(0.75rem - 3px);
  -webkit-appearance: none;
  background-color: #fff;
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3E%3C/svg%3E");
  background-position: right 0.75rem center;
  background-repeat: no-repeat;
  background-size: 16px 12px;
  border: 1px solid #ced4da;
  border-radius: 0.375rem;
  color: #212529;
  display: block;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  padding: 0.375rem 2.25rem 0.375rem 0.75rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  width: 100%;
}

modal-cadastro-edicao-endereco input:focus,
modal-cadastro-edicao-endereco select:focus {
  outline: 1px solid var(--cor-primaria);
}

modal-cadastro-edicao-endereco input::placeholder {
  color: #999;
}

modal-cadastro-edicao-endereco .input-error {
  border: 1px solid red;
  outline: 1px solid red;
}

modal-cadastro-edicao-endereco .text-error {
  color: #dc3545;
  font-size: 12px;
  display: none;
}

modal-cadastro-edicao-endereco input:invalid + .text-error {
  display: block;
}

modal-cadastro-edicao-endereco .form-actions {
  margin-top: 20px;
  text-align: center;
  display: flex;
  justify-content: center;
  gap: 50px;
}

modal-cadastro-edicao-endereco .btn-salvar {
  background: #28a745;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 4px;
  cursor: pointer;
  font-weight: 500;
  width: 150px;
  text-wrap: nowrap;
}

modal-cadastro-edicao-endereco .btn-salvar:hover {
  background: #218838;
}

modal-cadastro-edicao-endereco .btn-deletar {
  background: #000;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 4px;
  cursor: pointer;
  font-weight: 500;
  width: 150px;
  text-wrap: nowrap;
}

modal-cadastro-edicao-endereco .form-group input.error {
  border-color: var(--cor-erro);
  outline: 1px solid var(--cor-erro);
}

modal-cadastro-edicao-endereco .text-error {
  color: var(--cor-erro);
  font-size: 0.8rem;
  margin-top: 0.25rem;
  display: none;
}

@media (max-width: 400px) {
  modal-cadastro-edicao-endereco .form-actions {
    flex-direction: column;
    gap: 10px;
  }

  modal-cadastro-edicao-endereco .form-actions button {
    width: 100%;
  }
}
